## cipux-rpc 3.4.0.8

=== debian/changelog ===
cipux-rpc (3.4.0.8-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * New upstream release.
  * Update dependencies to match upstream 3.4.0.7 release changes:
    + Build-depend on liblog-dispatch-perl and libticket-simple-perl.
  * Tighten /build-)dependency on liblist-moreutils-perl to versions
    without memory leaks.
  * Use only official CDBS (drop local snippets): All improvements now
    adopted upstream.
  * Build unversioned on perl.
  * Tighten build-dependency on cdbs.
  * Bump Standards-Version to 3.8.4.
  * Refer to FSF website (not postal address) in licensing headers of
    Debian packaging files.
  * Update debian/copyright:
    + Reformat to conform to draft DEP5 rev. 135.
    + Bump some coyright years.
    + Fix include disclaimer in GPL-2+ section of copyright.
    + Add reference to FSF website.
    + Drop Colin Walters as owner of no longer shipped CDBS snippets.
  * Use source format '3.0 "quilt"'.
  * Stop conditionally enabling DEB_AUTO_UPDATE_DEBIAN_CONTROL (adopted
    upstream since CDBS 0.4.67), to not bogusly upset lintian.
  * Add ssl-cert group in postinst if missing, and warn about removal
    during purge in postrm if no longer used. Closes: bug#574214, thanks
    to Lucas Nussbaum.

  [ Xavier Oswald ]
  * Update my mail address

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Apr 2010 10:51:22 +0200

cipux-rpc (3.4.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Oct 2009 16:33:30 +0200

cipux-rpc (3.4.0.5-1) unstable; urgency=low

  * New upstream release.
  * Fix cipux-rpcd dependency on adduser.
  * Fix old-style update-rc.d options to match LSB init script hints:
    stop only in runlvel 1 (let system kill it in runlevels 0 and 6).
  * Fix install static config file in libcipux-rpc-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Oct 2009 15:42:28 +0200

cipux-rpc (3.4.0.4-1) unstable; urgency=low

  * New upstream release.
  * Update dependencies:
    + Build-depend versioned on libcipux-perl and libcipux-task-perl
    + (Build-)depend on libcipux-rbac-simple-perl (and not
      libcipux-rbac-perl).
    + Drop build-dependency on libcipux-object-perl.
    + Build-depend on recent perl-modules (favored over
      libtest-simple-perl).
    + Build-depend on libtest-refcount-perl and libtest-leaktrace-perl.
    + Handle all dependencies (not just build-dependencies) using CDBS,
      declared in debian/control.
    + Build-depend on libpam-ldapd (with libpam-ldap only as fallback).
  * Stop installing etc/cipux/cipux-rpc.conf (dropped upstream).
  * Update path to /usr/bin/cipux_rpc_list (was in /usr/sbin earlier).
  * Add git-buildpackage configfile, enabling signed tags and use of
    pristine-tar.
  * Add README.source.  Drop custom CDBS hints.
  * Bump up policy compliance to standards version 3.8.3.
  * Add proper copyright header to debian/rules.
  * Update debian/copyright
    + Restructure to match format proposed in revision 47 of DEP4.
    + Bump copyright years.
    + Add upstream release URL.
  * Update copyright-hints (no new owners or licenses).
  * Update CDBS snippets:
    + Enable upstream-tarball.mk providing get-orig-source build target.
    + Update package-relations.mk: Cleanup unversioned+versioned
      dependency mix. Improve whitespace cleanup. Rewrite and silence
      applying dependencies. Support more dependency types.
  * Create user cipux-rpcdr with real homedir below /var/lib (and handle
    updates of existing installations). Store pidfile there (not below
    /var/run as such subdir might not survive reboots and stunnel config
    hooks does not support creating pid dir).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Sep 2009 00:14:28 +0200

cipux-rpc (3.4.0~svn3015-1) experimental; urgency=low

  * New snapshot of upstream Subversion repository.
  * Update copyright-hints (no new owners or licenses).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Jan 2009 05:10:26 +0100

cipux-rpc (3.4.0~svn2868-1) experimental; urgency=low

  * New snapshot of upstream Subversion repository.
  * Build-depend and depend on libcipux-perl (not libcipux-common-perl).
  * Update CDBS snippets:
    + Simplify internal variables
    + Ignore no files by default in copyright-check.mk
    + Correct and update copyright hints of the snippets themselves
  * Update debian/copyright and copyright hints:
    + Add info on CDBS snippets (new owners, no new licenses)
    + Bump to version 413 of new format (no structural changes)
  * Semi-auto-update debian/control to update build-dependencies.
  * Invoke deluser without path in postrm script, thanks to lintian.
  * Have cipux-rpcd depend on adduser, thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Dec 2008 16:57:12 +0100

cipux-rpc (3.4.0~svn2825-1) experimental; urgency=low

  * New snapshot of upstream Subversion repository.
  * Install new cipux_rpc_list (and its man page) in cipux-rpc-tools.
  * Drop installing no longer provided man page for cipux-rpc.conf.
  * Add README.Debian describing the need to manually enable stunnel4 to
    offer secure remote access.
  * Adjust package relationships:
    + Have cipux-rpcd depend on ssl-cert (and not openssl).
    + Depend and build-depend on libclass-std-perl,
      libcipux-object-perl, libcipux-rbac-perl and liblog-log4perl-perl.
    + Recommend (not depend on) libreadonly-xs-perl, stunnel4 and
      ssl-cert.
    + Drop cipux-rpcd depending on libreadonly-perl and
      libreadonly-xs-perl.
    + Depend and build-depend (again) on libversion-perl (virtual
      package in Lenny but not on Etch).  Add TODO note about dropping
      those dependencies again after Lenny+1.
    + Have cipux-rpcd recommend libpam-ldap, libnss-ldapd (with fallback
      to libnss-ldap) and nscd.
  * Update local cdbs snippet perl-build.mk to tighten build-dependency
    on libmodule-build-perl (older releases treat destdir differently).

