=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2008-2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for CipUX::RPC
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-build.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg_lib = libcipux-rpc-perl

DEB_UPSTREAM_PACKAGE = CipUX-RPC
DEB_UPSTREAM_URL = http://release.cipux.org
DEB_UPSTREAM_TARBALL_MD5 = a8e88a93e406a72aa9476d41b7308754

# Install through debhelper.mk (not directly with perl-build.mk)
DEB_PERL_DESTDIR = $(cdbs_curdestdir)
DEB_DH_INSTALL_SOURCEDIR = $(DEB_PERL_DESTDIR)

# Override defaults for old-style update-rc.d
#  * Stop only in runlevel 1 (let system kill it in runlelels 0 and 6)
DEB_UPDATE_RCD_PARAMS = start 20 2 3 4 5 . stop 20 1 .

# Reinstall init files with debhelper to automate packaging scripts
install/cipux-rpcd::
	mv $(DEB_PERL_DESTDIR)/etc/init.d/cipux-rpcd debian/cipux-rpcd.init
clean::
	rm -f debian/cipux-rpcd.init

# Install stunnel config (using ssl-cert snakeoil cert, unlike upstream)
binary-install/cipux-rpcd::
	install -D -m 0644 debian/stunnel.conf debian/$(cdbs_curpkg)/etc/stunnel/cipux-rpcdr.conf

# Needed both by upstream build (or tests) and at runtime
# TODO: Drop libversion-perl after Lenny+1
common-depends = libclass-std-perl (>= 0.0.9), libauthen-simple-pam-perl, libauthen-simple-perl, libcipux-perl (>= 3.4.0.4), libcipux-rbac-simple-perl (>= 3.4.0.0), libcipux-task-perl (>= 3.4.0.0), libdate-manip-perl, libfrontier-rpc-perl, liblist-moreutils-perl (>= 0.25~02), liblog-log4perl-perl, libreadonly-perl, libversion-perl, liblog-dispatch-perl, libticket-simple-perl
CDBS_DEPENDS_$(pkg_lib) = $(common-depends)
CDBS_BUILD_DEPENDS += , $(common-depends)

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , libmodule-build-cipux-perl

# Needed by upstream tests
CDBS_BUILD_DEPENDS += , perl-modules (>= 5.10.0-19) | libtest-simple-perl, libtest-perl-critic-perl, libtest-pod-perl (>= 1.14), libtest-pod-coverage-perl (>= 1.04), libtest-leaktrace-perl, libtest-refcount-perl

# Needed (always/often) at runtime
# TODO: Drop libversion-perl after Lenny+1
CDBS_DEPENDS_cipux-rpcd = $(pkg_lib), libcipux-perl, lsb-base (>= 3.0-6), libversion-perl
CDBS_DEPENDS_cipux-rpc-tools = libfrontier-rpc-perl, libcipux-perl, libreadonly-perl, libversion-perl
CDBS_RECOMMENDS = libreadonly-xs-perl
CDBS_RECOMMENDS_cipux-rpcd = libpam-ldapd | libpam-ldap, libnss-ldapd | libnss-ldap, nscd, stunnel4, ssl-cert
CDBS_RECOMMENDS_cipux-rpc-tools += , cipux-rpcd
CDBS_SUGGESTS_cipux-rpcd = cipux-rpc-tools

# Needed by packaging scripts
CDBS_DEPENDS_cipux-rpcd += , $(pkg_lib), adduser
