## cipux-rpc 3.4.0.9

=== debian/changelog ===
cipux-rpc (3.4.0.9-3) unstable; urgency=low

  * Drop postinst kludge for versions older than 3.4.0~svn3015-1 never
    officially released.
  * Update package relations:
    + Relax to (build-)depend unversioned on CipUX libraries (needed
      versions satisfied in stable and unavailable in oldstable).
    + Relax to build-depend unversioned on debhelper and devscripts
      (needed versions satisfied even in oldstable).
    + Relax build-dependency on cdbs (needlessly tight).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Jan 2012 19:44:29 +0100

cipux-rpc (3.4.0.9-2) unstable; urgency=low

  * Improve package relations:
    + Drop relations for packages part of core Perl even in oldstable:
      - libversion-perl
      - libtest-simple-perl
    + Relax to unversioned relations when satisfied even in oldstable:
      - libclass-std-perl
      - libtest-pod-perl
      - libtest-pod-coverage-perl
      - lsb-base
    + Drop TODO file: Obsoleted by above.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Fix use initial wildcard Files section.
    + Rewrap license fields at 72 chars, and shorten comments.
  * Bump policy compliance to standards-version 3.9.2.
  * Wrap Uploaders field in control file.
  * Bump debhelper compatibility level to 7 (satisfied even in
    oldstable, and cdbs need backporting for oldstable anyway).
    Tighten build-dependencies on debhelper and cdbs correspondingly.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 May 2011 11:19:21 +0200

cipux-rpc (3.4.0.9-1) unstable; urgency=low

  * New upstream release.
  * Extend copyright years in copyright file.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Aug 2010 14:04:00 +0200
