=== debian/control ===
Source: cipux-rpc
Section: perl
Priority: optional
Maintainer: CipUX team <cipux-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Christian Kuelker <christian.kuelker@cipworx.org>,
 Xavier Oswald <xoswald@debian.org>
Build-Depends: devscripts,
 perl,
 perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
 cdbs (>= 0.4.78~),
 debhelper,
 dh-buildinfo,
 libclass-std-perl,
 libauthen-simple-pam-perl,
 libauthen-simple-perl,
 libcipux-perl,
 libcipux-rbac-simple-perl,
 libcipux-task-perl,
 libdate-manip-perl,
 libfrontier-rpc-perl,
 liblist-moreutils-perl (>= 0.25~02),
 liblog-log4perl-perl,
 libreadonly-perl,
 liblog-dispatch-perl,
 libticket-simple-perl,
 libmodule-build-cipux-perl,
 libtest-perl-critic-perl,
 libtest-pod-perl,
 libtest-pod-coverage-perl,
 libtest-leaktrace-perl,
 libtest-refcount-perl
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/cipux-rpc.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/cipux-rpc.git;a=summary
Homepage: http://www.cipux.org/

Package: libcipux-rpc-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Description: XML-RPC routines for perl-based CipUX XML-RPC applications
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 CAT is CipUX Administration Tools.  Two CATs are provided officially
 with CipUX:
  - cipux-cat: generic web-based CAT
  - cipux-cat-moodle: CipUX plugin for Moodle
 These can be extended or replaced with custom tools.
 .
 This package contains CipUX::RPC, providing XML-RPC routines for the
 CipUX XML-RPC server and for perl-based clients like CipUX CAT.

Package: cipux-rpcd
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: XML-RPC server for CipUX
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 CAT is CipUX Administration Tools.  Two CATs are provided officially
 with CipUX:
  - cipux-cat: generic web-based CAT
  - cipux-cat-moodle: CipUX plugin for Moodle
 These can be extended or replaced with custom tools.
 .
 This package contains the CipUX XML-RPC daemon, serving the CipUX::Task
 API for network-based appplications.  Any XML-RPC application can
 access the CipUX::Task API and perform tasks, like creating users and
 other objects, inside the CipUX framework.

Package: cipux-rpc-tools
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Description: Commandline helper tools for XML-RPC server
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 CAT is CipUX Administration Tools.  Two CATs are provided officially
 with CipUX:
  - cipux-cat: generic web-based CAT
  - cipux-cat-moodle: CipUX plugin for Moodle
 These can be extended or replaced with custom tools.
 .
 This package contains the CipUX XML-RPC daemon, serving the CipUX::Task
 API for network-based appplications.  Any XML-RPC application can
 access the CipUX::Task API and perform tasks, like creating users and
 other objects, inside the CipUX framework.
 .
 This package contains commandline tools to help setup and test the
 XML-RPC server for CipUX.
