=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 DEB_UPSTREAM_PACKAGE = CipUX-RPC
 DEB_UPSTREAM_URL = http://release.cipux.org
-DEB_UPSTREAM_TARBALL_MD5 = a8e88a93e406a72aa9476d41b7308754
+DEB_UPSTREAM_TARBALL_MD5 = 02dbdec3b13ee1df58a7a8a48fd31476
 
 # Install through debhelper.mk (not directly with perl-build.mk)
 DEB_PERL_DESTDIR = $(cdbs_curdestdir)
@@ -46,8 +46,7 @@
 	install -D -m 0644 debian/stunnel.conf debian/$(cdbs_curpkg)/etc/stunnel/cipux-rpcdr.conf
 
 # Needed both by upstream build (or tests) and at runtime
-# TODO: Drop libversion-perl after Lenny+1
-common-depends = libclass-std-perl (>= 0.0.9), libauthen-simple-pam-perl, libauthen-simple-perl, libcipux-perl (>= 3.4.0.4), libcipux-rbac-simple-perl (>= 3.4.0.0), libcipux-task-perl (>= 3.4.0.0), libdate-manip-perl, libfrontier-rpc-perl, liblist-moreutils-perl (>= 0.25~02), liblog-log4perl-perl, libreadonly-perl, libversion-perl, liblog-dispatch-perl, libticket-simple-perl
+common-depends = libclass-std-perl, libauthen-simple-pam-perl, libauthen-simple-perl, libcipux-perl, libcipux-rbac-simple-perl, libcipux-task-perl, libdate-manip-perl, libfrontier-rpc-perl, liblist-moreutils-perl (>= 0.25~02), liblog-log4perl-perl, libreadonly-perl, liblog-dispatch-perl, libticket-simple-perl
 CDBS_DEPENDS_$(pkg_lib) = $(common-depends)
 CDBS_BUILD_DEPENDS += , $(common-depends)
 
@@ -55,12 +54,11 @@
 CDBS_BUILD_DEPENDS += , libmodule-build-cipux-perl
 
 # Needed by upstream tests
-CDBS_BUILD_DEPENDS += , perl-modules (>= 5.10.0-19) | libtest-simple-perl, libtest-perl-critic-perl, libtest-pod-perl (>= 1.14), libtest-pod-coverage-perl (>= 1.04), libtest-leaktrace-perl, libtest-refcount-perl
+CDBS_BUILD_DEPENDS += , libtest-perl-critic-perl, libtest-pod-perl, libtest-pod-coverage-perl, libtest-leaktrace-perl, libtest-refcount-perl
 
 # Needed (always/often) at runtime
-# TODO: Drop libversion-perl after Lenny+1
-CDBS_DEPENDS_cipux-rpcd = $(pkg_lib), libcipux-perl, lsb-base (>= 3.0-6), libversion-perl
-CDBS_DEPENDS_cipux-rpc-tools = libfrontier-rpc-perl, libcipux-perl, libreadonly-perl, libversion-perl
+CDBS_DEPENDS_cipux-rpcd = $(pkg_lib), libcipux-perl, lsb-base
+CDBS_DEPENDS_cipux-rpc-tools = libfrontier-rpc-perl, libcipux-perl, libreadonly-perl
 CDBS_RECOMMENDS = libreadonly-xs-perl
 CDBS_RECOMMENDS_cipux-rpcd = libpam-ldapd | libpam-ldap, libnss-ldapd | libnss-ldap, nscd, stunnel4, ssl-cert
 CDBS_RECOMMENDS_cipux-rpc-tools += , cipux-rpcd
